> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/auth



## OpenAPI

````yaml POST /v2/auth
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/auth:
    post:
      tags:
        - auth
      parameters:
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
        - in: query
          name: signToken
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthV2'
      responses:
        '200':
          $ref: '#/components/responses/Validate'
        '201':
          $ref: '#/components/responses/Created'
        '202':
          $ref: '#/components/responses/Sign'
        '400':
          $ref: '#/components/responses/BadRequestV2'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  schemas:
    AuthV2:
      type: object
      properties:
        id:
          type: string
          format: uuid
        allowIps:
          type: array
          items:
            type: string
            format: ipv4
        withMfa:
          type: boolean
        fingerprint:
          type: string
        expiredAt:
          type: string
          format: date-time
        app:
          type: string
      required:
        - id
  responses:
    Validate:
      description: Validate data
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: VALIDATE
              errors:
                type: object
                example:
                  email: Email cannot be blank.
    Created:
      description: Created
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: CREATED
              id:
                type: string
                example: 00000000-0000-0000-0000-000000000000
                description: ID of the new entity
    Sign:
      description: MFA sign required
      content:
        application/json:
          examples:
            default:
              value:
                status: MFA_REQUIRED
                mfaToken: def456
          schema:
            type: object
            required:
              - status
              - mfaToken
            properties:
              status:
                type: string
                example: MFA_REQUIRED
              mfaToken:
                type: string
                example: def456
    BadRequestV2:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              query:
                type: object
                example:
                  id: The provided 'ID' is not a valid UUID.
              body:
                type: object
                example:
                  email: Email cannot be blank.
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: ERROR
              errors:
                type: object
                example:
                  email: Email cannot be blank.
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Too Many Requests
              message:
                type: string
              status:
                type: integer
                example: 429
          examples:
            default:
              value:
                name: Too Many Requests
                message: string
                status: 429
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````